@article{denning_virtual_1970,
	title = {Virtual {Memory}},
	volume = {2},
	issn = {03600300},
	url = {http://portal.acm.org/citation.cfm?doid=356571.356573},
	doi = {10.1145/356571.356573},
	abstract = {L'auteur indique que la compaction n'est pas très efficace.},
	number = {3},
	urldate = {2017-10-06},
	journal = {ACM Computing Surveys},
	author = {Denning, Peter J.},
	month = sep,
	year = {1970},
	pages = {153--189}
}

@misc{noauthor_linux_2018,
	title = {Linux 4.19},
	url = {https://elixir.bootlin.com/linux/v4.19/source},
	month = oct,
	year = {2018},
	author = {{The kernel development community}}
}

@misc{kroah_hartman_linux_2018,
	title = {Linux 4.19},
	url = {https://lkml.org/lkml/2018/10/22/184},
	author = {Kroah-Hartman, Greg},
	month = oct,
	year = {2018}
}

@misc{lameter_slab_2014,
	address = {Düsseldorf},
	title = {Slab allocators in the {Linux} {Kernel}:{SLAB}, {SLOB}, {SLUB}},
	url = {https://events.static.linuxfound.org/sites/events/files/slides/slaballocators.pdf},
	author = {Lameter, Christoph},
	month = oct,
	year = {2014}
}

@misc{love_what_2013,
	title = {What are the factors in choosing among the different memory allocators in the {Linux} kernel?},
	url = {https://www.quora.com/What-are-the-factors-in-choosing-among-the-different-memory-allocators-in-the-Linux-kernel/answer/Robert-Love-1},
	journal = {Quora},
	author = {Love, Robert},
	month = mar,
	year = {2013}
}

@book{usenix_association_proceedings_1994,
	address = {Berkeley, Calif},
	title = {Proceedings of the summer 1994 {USENIX} conference: {June} 6 - 10, 1994, {Boston}, {Massachusetts}, {USA}},
	isbn = {978-1-880446-62-1},
	shorttitle = {Proceedings of the summer 1994 {USENIX} conference},
	language = {eng},
	publisher = {USENIX Association},
	editor = {USENIX Association},
	year = {1994},
	note = {Meeting Name: Summer USENIX Conference OCLC: 30774224}
}

@misc{corbet_introduction_2014,
	title = {An introduction to compound pages},
	url = {https://lwn.net/Articles/619514/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = nov,
	year = {2014}
}

@techreport{intel_5_level_2017,
	title = {5-{Level} {Paging} and 5-{Level} {EPT}},
	url = {https://software.intel.com/sites/default/files/managed/2b/80/5-level_paging_white_paper.pdf},
	author = {{Intel}},
	institution = {{Intel}},
	month = may,
	year = {2017}
}

@techreport{intel_intel_2019,
	title = {Intel® 64 and {IA}-32 {Architectures} {Software} {Developer}’s {Manual}},
	url = {https://software.intel.com/sites/default/files/managed/39/c5/325462-sdm-vol-1-2abcd-3abcd.pdf},
	number = {325462-071US},
	author = {{Intel}},
	month = oct,
	year = {2019}
}

@book{gorman_understanding_2004,
	address = {Upper Saddle River, NJ},
	series = {Bruce {Perens}' open source series},
	title = {Understanding  {The} {Linux} {Virtual} {Memory} {Manager}},
	isbn = {978-0-13-145348-7},
	shorttitle = {Understanding the {Linux} {Virtual} {Memory} {Manager}},
	language = {eng},
	publisher = {Prentice Hall},
	author = {Gorman, Mel},
	year = {2004},
	note = {OCLC: 834670086}
}

@techreport{intel_basic_2019,
	title = {Intel® 64 and {IA}-32 {Architectures} {Software} {Developer}’s {Manual} {Volume} 1: {Basic} {Architecture}},
	url = {https://software.intel.com/sites/default/files/managed/39/c5/325462-sdm-vol-1-2abcd-3abcd.pdf},
	number = {253665},
	author = {{Intel}},
	institution = {{Intel}},
	month = oct,
	year = {2019}
}

@techreport{intel_instr_set_2019,
	title = {Intel® 64 and {IA}-32 {Architectures} {Software} {Developer}’s {Manual} {Volume} 2 ({2A}, {2B}, {2C} \& {2D}): {Instruction} {Set} {Reference}, {A}-{Z}},
	url = {https://software.intel.com/sites/default/files/managed/39/c5/325462-sdm-vol-1-2abcd-3abcd.pdf},
	number = {325462-071US},
	author = {{Intel}},
	institution = {{Intel}},
	month = oct,
	year = {2019}
}

@techreport{intel_sys_prog_2019,
	title = {Intel® 64 and {IA}-32 {Architectures} {Software} {Developer}’s {Manual} {Volume} 3 ({3A}, {3B}, {3C} \& {3D}): {System} {Programming} {Guide}},
	url = {https://software.intel.com/sites/default/files/managed/39/c5/325462-sdm-vol-1-2abcd-3abcd.pdf},
	number = {325384},
	author = {{Intel}},
	institution = {{Intel}},
	month = oct,
	year = {2019}
}

@misc{emelyanov_soft_dirty_2013,
	title = {Soft-{Dirty} {PTEs}},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/mm/soft-dirty.html?highlight=soft%20dirty},
	journal = {The Linux Kernel documentation},
	author = {Emelyanov, Pavel},
	month = apr,
	year = {2013}
}

@misc{williams_patch_2015,
	title = {[{PATCH} v2 00/20] get\_user\_pages() for dax mappings},
	url = {https://www.mail-archive.com/linux-kernel@vger.kernel.org/msg993262.html},
	author = {Williams, Dan},
	month = oct,
	year = {2015}
}

@techreport{snia_nvm_2017,
	title = {{NVM} {Programming} {Model} ({NPM}) {Version} 1.2},
	url = {https://www.snia.org/sites/default/files/technical_work/final/NVMProgrammingModel_v1.2.pdf},
	author = {{SNIA}},
	institution = {{SNIA}},
	month = jun,
	year = {2017},
	pages = {104}
}

@misc{amd_amd_2006,
	title = {{AMD} {Athlon}™ 64 {Processor} {Key} {Architectural} {Features}},
	url = {https://web.archive.org/web/20060706134237/http://www.amd.com/us-en/Processors/ProductInformation/0%2C%2C30_118_9485_9487%5E9493%2C00.html},
	journal = {AMD},
	author = {{AMD}},
	year = {2006}
}

@misc{corbet_memory_2015,
	title = {Memory protection keys},
	url = {https://lwn.net/Articles/643797/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = may,
	year = {2015}
}

@misc{noauthor_pkeys_2019,
	title = {pkeys - overview of {Memory} {Protection} {Keys}},
	ulr = {http://man7.org/linux/man-pages/man7/pkeys.7.html},
	month = mar,
	year = {2019}
}

@book{bovet_understanding_2006,
	address = {Beijing},
	edition = {3. ed., covers version 2.6},
	title = {Understanding the {Linux} kernel: from {I}/{O} ports to process management},
	isbn = {978-0-596-00565-8},
	shorttitle = {Understanding the {Linux} kernel},
	language = {eng},
	publisher = {O'Reilly},
	author = {Bovet, Daniel P. and Cesati, Marco},
	year = {2006},
	note = {OCLC: 255008440}
}

@incollection{bodden_kaslr_2017,
	address = {Cham},
	title = {{KASLR} is {Dead}: {Long} {Live} {KASLR}},
	volume = {10379},
	isbn = {978-3-319-62104-3 978-3-319-62105-0},
	shorttitle = {{KASLR} is {Dead}},
	url = {http://link.springer.com/10.1007/978-3-319-62105-0_11},
	urldate = {2020-03-20},
	booktitle = {Engineering {Secure} {Software} and {Systems}},
	publisher = {Springer International Publishing},
	author = {Gruss, Daniel and Lipp, Moritz and Schwarz, Michael and Fellner, Richard and Maurice, Clémentine and Mangard, Stefan},
	editor = {Bodden, Eric and Payer, Mathias and Athanasopoulos, Elias},
	year = {2017},
	doi = {10.1007/978-3-319-62105-0_11},
	note = {Series Title: Lecture Notes in Computer Science},
	pages = {161--176}
}

@inproceedings{lipp_meltdown_2018,
	address = {Baltimore, MD},
	title = {Meltdown: {Reading} {Kernel} {Memory} from {User} {Space}},
	isbn = {978-1-939133-04-5},
	url = {https://www.usenix.org/conference/usenixsecurity18/presentation/lipp},
	booktitle = {27th {USENIX} {Security} {Symposium} ({USENIX} {Security} 18)},
	publisher = {USENIX Association},
	author = {Lipp, Moritz and Schwarz, Michael and Gruss, Daniel and Prescher, Thomas and Haas, Werner and Fogh, Anders and Horn, Jann and Mangard, Stefan and Kocher, Paul and Genkin, Daniel and Yarom, Yuval and Hamburg, Mike},
	month = aug,
	year = {2018},
	pages = {973--990}
}

@misc{noauthor_page_nodate,
	title = {Page {Table} {Isolation}},
	url = {https://www.kernel.org/doc/html/latest/x86/pti.html#id4},
	journal = {The Linux Kernel documentation},
	author = {{The kernel development community}}
}

@misc{noauthor_physical_nodate,
	title = {Physical {Memory} {Model}},
	url = {https://www.kernel.org/doc/html/latest/vm/memory-model.html},
	journal = {The Linux Kernel documentation},
	author = {{The kernel development community}}
}

@misc{corbet_zone_device_2017,
	title = {{ZONE}\_DEVICE and the future of struct page},
	url = {https://lwn.net/Articles/717555/},
	author = {Corbet, Jonathan},
	month = mar,
	year = {2017}
}

@misc{noauthor_heterogeneous_nodate,
	title = {Heterogeneous {Memory} {Management}},
	url = {https://www.kernel.org/doc/html/latest/vm/hmm.html},
	journal = {The Linux Kernel documentation},
	author = {{The kernel development community}}
}

@inproceedings{guibas_dichromatic_1978,
	address = {Ann Arbor, MI, USA},
	title = {A dichromatic framework for balanced trees},
	url = {http://ieeexplore.ieee.org/document/4567957/},
	doi = {10.1109/SFCS.1978.3},
	urldate = {2020-03-24},
	booktitle = {19th {Annual} {Symposium} on {Foundations} of {Computer} {Science} (sfcs 1978)},
	publisher = {IEEE},
	author = {Guibas, Leo J. and Sedgewick, Robert},
	month = oct,
	year = {1978},
	pages = {8--21}
}

@misc{noauthor_madvise2_nodate,
	title = {madvise(2)},
	url = {https://linux.die.net/man/2/madvise},
	journal = {Linux man page}
}

@misc{noauthor_mmap2_nodate,
	title = {mmap(2)},
	url = {https://linux.die.net/man/2/madvise},
	journal = {Linux man page}
}

@misc{noauthor_mlock2_nodate,
	title = {mlock(2)},
	url = {https://linux.die.net/man/2/mlock},
	journal = {Linux man page}
}

@misc{noauthor_unevictable_nodate,
	title = {Unevictable {LRU} {Infrastructure}},
	url = {https://www.kernel.org/doc/html/latest/vm/unevictable-lru.html},
	journal = {The Linux Kernel documentation},
	author = {{The kernel development community}}
}

@misc{corbet_two_2017,
	title = {Two more approaches to persistent-memory writes},
	url = {https://lwn.net/Articles/731706/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = aug,
	year = {2017}
}

@misc{riel_mmforksecurity_2017,
	title = {mm,fork,security: introduce {MADV}\_WIPEONFORK},
	url = {https://lore.kernel.org/patchwork/cover/817930/},
	author = {Riel, Rik van},
	month = aug,
	year = {2017}
}

@misc{noauthor_core5_nodate,
	title = {core(5)},
	url = {http://man7.org/linux/man-pages/man5/core.5.html},
	journal = {Linux man page}
}

@misc{eidus_kernel_2009,
	title = {Kernel {Samepage} {Merging}},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/mm/ksm.html?highlight=ksm},
	journal = {The Linux Kernel documentation},
	author = {Eidus, Izik and Dickins, Hugh},
	month = nov,
	year = {2009}
}

@misc{corbet_devksm_2008,
	title = {/dev/ksm: dynamic memory sharing},
	url = {https://lwn.net/Articles/306704/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = nov,
	year = {2008}
}

@misc{the_kernel_development_community_hugetlb_nodate,
	title = {{HugeTLB} {Pages}},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/mm/hugetlbpage.html?highlight=hugetlb},
	journal = {The Linux Kernel documentation},
	author = {{The kernel development community}}
}

@misc{the_kernel_development_community_transparent_nodate,
	title = {Transparent {Hugepage} {Support}},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/mm/transhuge.html#admin-guide-transhuge},
	journal = {The Linux Kernel documentation},
	author = {{The kernel development community}}
}

@misc{corbet_user_space_2015,
	title = {User-space page fault handling},
	url = {https://lwn.net/Articles/636226/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = mar,
	year = {2015}
}

@misc{noauthor_userfaultfd2_nodate,
	title = {userfaultfd(2)},
	url = {http://www.man7.org/linux/man-pages/man2/userfaultfd.2.html},
	journal = {Linux man page}
}

@misc{noauthor_ioctl_userfaultfd2_nodate,
	title = {ioctl\_userfaultfd(2)},
	url = {http://man7.org/linux/man-pages/man2/ioctl_userfaultfd.2.html},
	journal = {Linux man page}
}

@misc{the_kernel_development_community_memory_nodate,
	title = {Memory {Management}},
	url = {https://www.kernel.org/doc/html/latest/x86/x86_64/mm.html},
	journal = {The Linux Kernel documentation},
	author = {The kernel development community}
}

@misc{gregg_working_2018,
	title = {Working {Set} {Size} {Estimation}},
	url = {http://www.brendangregg.com/wss.html},
	author = {Gregg, Brendan},
	month = feb,
	year = {2018}
}

@misc{noauthor_pthreads7_nodate,
	title = {pthreads(7)},
	url = {https://linux.die.net/man/7/pthreads},
	journal = {Linux man page}
}

@misc{noauthor_proc5_nodate,
	title = {proc(5)},
	url = {http://man7.org/linux/man-pages/man5/proc.5.html},
	journal = {Linux man page}
}

@misc{noauthor_ldso8_nodate,
	title = {ld.so(8)},
	url = {http://man7.org/linux/man-pages/man8/ld.so.8.html},
	journal = {Linux man page}
}

@misc{gnu_community_gnu_1988,
	title = {The {GNU} {C} {Library} (glibc)},
	url = {https://www.gnu.org/software/libc/},
	author = {{GNU community}},
	year = {1988}
}

@misc{duarte_how_2009,
	title = {How {The} {Kernel} {Manages} {Your} {Memory}},
	url = {https://manybutfinite.com/post/how-the-kernel-manages-your-memory/},
	journal = {Many But Finite},
	author = {Duarte, Gustavo},
	month = feb,
	year = {2009}
}

@book{love_linux_2010,
	address = {Upper Saddle River, NJ},
	edition = {3rd ed},
	series = {Developer's library : essential references for programming professionals},
	title = {Linux kernel development},
	isbn = {978-0-672-32946-3},
	publisher = {Addison-Wesley},
	author = {Love, Robert},
	year = {2010},
	note = {OCLC: ocn268788260},
	keywords = {Linux, Operating systems (Computers)}
}

@misc{gnu_community_debian_nodate,
	title = {Debian glibc 2.28-10},
	url = {https://sources.debian.org/src/glibc/2.28-10/},
	author = {{GNU community}}
}

@misc{noauthor_fork2_nodate,
	title = {fork(2)},
	url = {https://linux.die.net/man/2/fork},
	journal = {Linux man page}
}

@misc{noauthor_vfork2_nodate,
	title = {vfork(2)},
	url = {https://linux.die.net/man/2/vfork},
	journal = {Linux man page}
}

@misc{noauthor_exec3_nodate,
	title = {exec(3)},
	url = {https://linux.die.net/man/3/exec},
	journal = {Linux man page}
}

@misc{noauthor_execve2_nodate,
	title = {execve(2)},
	url = {https://linux.die.net/man/2/execve},
	journal = {Linux man page}
}

@misc{noauthor_clone2_nodate,
	title = {clone(2)},
	url = {https://linux.die.net/man/2/clone},
	journal = {Linux man page}
}

@techreport{drepper_elf_2013,
	title = {{ELF} {Handling} {For} {Thread}-{Local} {Storage}},
	author = {Drepper, Ulrich},
	month = aug,
	year = {2013}
}

@misc{zahariev_fork_2009,
	title = {fork() gets slower as parent process uses more memory},
	url = {https://blog.famzah.net/2009/11/20/fork-gets-slower-as-parent-process-use-more-memory/},
	journal = {/contrib/famzah},
	author = {Zahariev, Ivan},
	month = nov,
	year = {2009}
}

@misc{noauthor_strace1_nodate,
	title = {strace(1)},
	url = {https://linux.die.net/man/1/strace},
	journal = {Linux man page}
}

@misc{valgrind_developers_callgrind_nodate,
	title = {Callgrind: a call-graph generating cache and branch prediction profiler},
	url = {http://valgrind.org/docs/manual/cl-manual.html},
	urldate = {2020-04-10},
	journal = {Valgrind User Manual},
	author = {{Valgrind™ Developers}}
}

@misc{weidendorfer_kcachegrind_nodate,
	title = {{KCachegrind}},
	url = {https://kcachegrind.github.io/html/Home.html},
	author = {Weidendorfer, Josef}
}

@misc{delorie_overview_2019,
	title = {Overview of {Malloc}},
	url = {https://sourceware.org/glibc/wiki/MallocInternals},
	journal = {glibc wiki},
	author = {Delorie, DJ},
	month = may,
	year = {2019}
}

@misc{sploitfun_syscalls_2015,
	title = {Syscalls used by malloc.},
	url = {https://sploitfun.wordpress.com/2015/02/11/syscalls-used-by-malloc/},
	journal = {sploitF-U-N},
	author = {{sploitfun}},
	month = feb,
	year = {2015}
}

@misc{noauthor_brk2_nodate,
	title = {brk(2)},
	url = {https://linux.die.net/man/2/brk},
	journal = {Linux man page}
}

@techreport{intel_qp_2008,
	title = {Intel® {QuickPath} {Architecture}},
	url = {https://www.intel.com/pressroom/archive/reference/whitepaper_QuickPath.pdf},
	author = {{Intel}},
	year = {2008}
}

@misc{d_purley_2017,
	title = {Purley : {Intel} annonce sa nouvelle génération de processeurs scalables},
	url = {https://www.comptoir-hardware.com/actus/processeurs/34519-purley-intel-annonce-sa-nouvelle-generation-de-processeurs-scalables.html},
	journal = {Le Comptoir du Hardware},
	author = {D., Nicolas},
	month = jul,
	year = {2017}
}

@misc{corbet_is_2018,
	title = {Is it time to remove {ZONE}\_DMA?},
	url = {https://lwn.net/Articles/753273/},
	journal = {LWN},
	author = {Corbet, Jonathan},
	month = may,
	year = {2018}
}

@misc{williams_mm_2015,
	title = {mm: {ZONE}\_DEVICE for "device memory"},
	url = {https://github.com/torvalds/linux/commit/033fbae988fcb67e5077203512181890848b8e90},
	author = {Williams, Dan},
	month = aug,
	year = {2015}
}

@misc{noauthor_memory_2007,
	title = {Memory {Hotplug}},
	url = {https://www.kernel.org/doc/html/latest/admin-guide/mm/memory-hotplug.html#memory-offline-and-zone-movable},
	month = jul,
	year = {2007}
}

@misc{nazarewicz_continuous_2012,
	title = {Continuous {Memory} {Allocator}: {Allocating} big chunks of physically contiguous memory},
	url = {https://events.static.linuxfound.org/images/stories/pdf/lceu2012_nazarwicz.pdf},
	author = {Nazarewicz, Michał},
	month = nov,
	year = {2012}
}